import { Base } from '@layouts/Base';
import {
    FormControl,
    FormControlLabel,
    FormLabel,
    Radio,
    RadioGroup,
    styled,
    TextField,
} from '@mui/material';
import React, { useState } from 'react';
import { useForm } from 'react-hook-form';
import { theme_dark } from 'theme';
import { Card, Container, Stack } from 'ui';

export const CreateListing = () => {
    return <StyledCreateListing />;
};

const UnstyledCreateListing = () => {
    const {
        register,
        handleSubmit,
        watch,
        formState: { errors },
    } = useForm();
    const onSubmit = (data) => console.log(data);

    const [title, setTitle] = useState('');
    const [price, setPrice] = useState('');
    const [currency, setCurrency] = useState('');

    return (
        <Base>
            <Container maxWidth={'md'}>
                <Card>
                    <Stack
                        direction={'column'}
                        gap="1rem"
                        margin={theme_dark.margins.defaultCard}
                    >
                        <Heading>Create a new listing</Heading>
                        <form onSubmit={handleSubmit(onSubmit)}>
                            {/* register your input into the hook by invoking the "register" function */}
                            <input
                                defaultValue="test"
                                {...register('example')}
                            />

                            {/* include validation with required or other standard HTML validation rules */}
                            <input
                                {...register('exampleRequired', {
                                    required: true,
                                })}
                            />
                            {/* errors will return when field validation fails  */}
                            {errors.exampleRequired && (
                                <span>This field is required</span>
                            )}

                            <input type="submit" />
                        </form>
                    </Stack>
                </Card>
            </Container>
        </Base>
    );
};

const Heading = styled('h1')`
    text-align: center;
`;

const StyledCreateListing = styled(UnstyledCreateListing)`
    margin-top: '4rem';
`;
