import { ListingGrid } from '@components/common/ListingGrid';
import { Order_By, useGetListingsQuery } from 'gql/generated/react';
import { FC } from 'react';
import { Base } from '@layouts/Base';
import Head from 'next/head';

export interface HomeProps {}
export type HomeType = FC<HomeProps>;

export const Home: HomeType = () => {
    const { data } = useGetListingsQuery({
        variables: {
            limit: 60,
            offset: 0,
            order_by: {
                id: Order_By.Desc,
            },
        },
    });

    return (
        <Base>
            <Head>
                <title>Dumpster Fire Home</title>
            </Head>

            <ListingGrid listings={data?.app_listings} />
        </Base>
    );
};
