import * as React from 'react';

import { FooterLogo } from '@components/common/Navbar/Logo';
import { FC, PropsWithChildren } from 'react';
import { Divider, styled } from '@mui/material';

export interface FooterProps {}
export type FooterType = FC<PropsWithChildren<FooterProps>>;

const StyledFooter = styled('footer')`
    background: lightgray;
    margin-top: auto;
    padding: 0.5rem;

    display: flex;
    flex-direction: row;
    align-items: center;
`;

const CopyrightSpan = styled('span')`
    font-size: xx-small;
    margin-left: 20px;
`;

export const Footer: FooterType = () => {
    return (
        <StyledFooter>
            <FooterLogo />
            <CopyrightSpan>@Copyright Cannabis Smokers Inc. 2022</CopyrightSpan>
        </StyledFooter>
    );
};
