import ResponsiveAppBar from '@components/common/Navbar/Navbar';
import { FC, PropsWithChildren } from 'react';
import { styled } from '@mui/material';
import { Footer } from '@components/common/Footer';

const StyledMain = styled('main')`
    margin: 1rem;
`;

export interface BaseProps {}
export type BaseType = FC<PropsWithChildren<BaseProps>>;

const BodyRoot = styled('div')`
    min-height: 100vh;
    display: flex;
    flex-direction: column;
`;

export const Base: BaseType = ({ children }) => {
    return (
        <BodyRoot>
            <ResponsiveAppBar />
            <StyledMain>{children}</StyledMain>
            <Footer />
        </BodyRoot>
    );
};
